---
lang: en
title: 'API docs: core.lifecycleobserverregistry.getobservergroup'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.getobservergroup.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [getObserverGroup](./core.lifecycleobserverregistry.getobservergroup.md)

## LifeCycleObserverRegistry.getObserverGroup() method

Get the group for a given life cycle observer binding

<b>Signature:</b>

```typescript
protected getObserverGroup(binding: Readonly<Binding<LifeCycleObserver>>): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  binding | <code>Readonly&lt;Binding&lt;LifeCycleObserver&gt;&gt;</code> | Life cycle observer binding |

<b>Returns:</b>

`string`


